import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class BallSelection here.
 * 
 * @author Rully Jehian 
 * @version 1.0
 */
public class BallSelection extends World
{

    /**
     * Constructor for objects of class BallSelection.
     * 
     */
    GreenfootSound myMusic = new GreenfootSound("Unknown brain perfect 10 karaoke.mp3"); 
    Star star = new Star();
    private int count;
    public BallSelection()
    {    
        super(1280, 720, 1, false); 
        act();
        prepare();
    }
    public void act() 
    {
        myMusic.play();
        myMusic.setVolume(25);
        addStar();
        if (Greenfoot.isKeyDown("enter"))
        {
            Greenfoot.setWorld(new MainMenu());
            myMusic.stop();
        }
    }
    public void addStar()
    {
        count++;
        if(count%100 == 0)
        {
            addObject(new Star(), Greenfoot.getRandomNumber(1680), -5);
        }
    }
    private void prepare()
    {
        White white = new White();
        addObject(white,750,170);
        Purp purp = new Purp();
        addObject(purp,1050,170);
        Personal personal = new Personal();
        addObject(personal,1150,360);
        Dragon dragon = new Dragon();
        addObject(dragon,650,360);
        Square square = new Square();
        addObject(square,900,360);
        Bit bit = new Bit();
        addObject(bit,750,550);
        Rainbow rainbow = new Rainbow();
        addObject(rainbow,1050,550);
    }
}
