import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author Rully Jehian 
 * @version 1.0
 */
public class MyWorld extends World
{
    private Background img0, img1;
    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    private int count;
    private int countSpawn;
    Counter counter = new Counter();
    Hint hint = new Hint();
    GreenfootSound myMusic = new GreenfootSound("Jeremy Blake - Powerup!.mp3"); 
    
    public MyWorld()
    {    
        super(1280, 720, 1, false);
         
        setPaintOrder(GameOver.class, Hint.class, Counter.class, Player.class, BigBoi.class, 
        Enemies.class, Tree.class, Background.class, MainMenu.class, Keyboard.class);
        img0 = new Background();
        addObject(img0, getWidth()/2, getHeight()/2);
        img1 = new Background();
        addObject(img1, getWidth() + getWidth()/2, getHeight()/2);
        prepare();
        
        count++;
    }
    public Counter getCounter()
    {
        return counter;
    }
    public void act()
    {
        img0.scroll();
        img1.scroll();
        addSpikeBot();
        addSpikeSpin();
        addBird();
        addTree();
        addStar();
        
        myMusic.play();
        myMusic.setVolume(25);
    }
    private void prepare()
    {
        BigBoi bigboi = new BigBoi();
        Player player = new Player();
        addObject(bigboi, 90, 360);
        addObject(counter, 640, 37);
        addObject(player, 260, 610);
        addObject(new Hint(), 250, 37);
    }
    public void addSpikeBot()
    {
        countSpawn++;
        if(countSpawn%10 == 0)
        {
            if(Greenfoot.getRandomNumber(100)<5) //Greenfoot.getRandomNumber
            {
                addObject(new SpikeBot(), 1550, 613);
            }
        }
    }
    public void addSpikeSpin()
    {
        countSpawn++;
        if(countSpawn%10 == 0)
        {
            if(Greenfoot.getRandomNumber(100)<5) //Greenfoot.getRandomNumber
            {
                addObject(new SpikeSpin(), 1550, 360);
            }
        }   
    }
    public void addBird()
    {
        countSpawn++;
        if(countSpawn%10 == 0)
        {
            if(Greenfoot.getRandomNumber(100)<5) //Greenfoot.getRandomNumber
            {
                addObject(new Bird(), 1550, 130);
            }
        }
    }
    public void addTree()
    {
        if(count%100 == 0)
        {
            if(Greenfoot.getRandomNumber(30) < 10)
            {
                addObject(new tree1(), 1550, 360);
            }
            else if(Greenfoot.getRandomNumber(30) < 20 && Greenfoot.getRandomNumber(30) > 10)
            {
                addObject(new tree2(), 1550, 360);
            }
            else
            {
                addObject(new tree3(), 1550, 360);
            }
        }
    }
    public void addStar()
    {
        if(count%100 == 0)
        {
            if(Greenfoot.getRandomNumber(30) < 5)
            {
                addObject(new Star(), 1250, 0);
            }
        }
    }
}