
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Player here.
 * 
 * @Rully Jehian
 * @1.0
 */
public class Player extends Actor
{
    /**
     * Act - do whatever the Player wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private int velocity;
    boolean turns = true;
    GreenfootImage bit = new GreenfootImage("P1-8bit.png");
    GreenfootImage dragon = new GreenfootImage("P1-dragon.png");
    GreenfootImage personal = new GreenfootImage("P1-personal.png");
    GreenfootImage purp = new GreenfootImage("P1-purp.png");
    GreenfootImage rainbow = new GreenfootImage("P1-rainbow.png");
    GreenfootImage white = new GreenfootImage("P1-white.png");
    GreenfootImage square = new GreenfootImage("P1-square.png");
    
    GreenfootSound myMusicJump = new GreenfootSound("Cute Jump Sound Effect.mp3");  
    GreenfootSound myMusicJumpdown = new GreenfootSound("Cute Jump Sound Effect down.mp3");
    public Player()
    {
        //250x610y position
        
        velocity = 0;
    }
    public void act() 
    {
        selection();
        movement();
        turning();
        fall();
        isOnPlatformBot();
        isOnPlatformTop();
        hitByEnemies();
    } 
    public void selection()
    {
        if(Greenfoot.isKeyDown("1")) setImage(white);;
        if(Greenfoot.isKeyDown("2")) setImage(bit);
        if(Greenfoot.isKeyDown("3")) setImage(dragon); 
        if(Greenfoot.isKeyDown("4")) setImage(personal);
        if(Greenfoot.isKeyDown("5")) setImage(purp);
        if(Greenfoot.isKeyDown("6")) setImage(rainbow);
        if(Greenfoot.isKeyDown("7")) setImage(square);
    }
    public void movement()
    {
        int x = getX();
        int y = getY();
        
        if(Greenfoot.isKeyDown("W") && isOnPlatformTop() == false)
        {
            jump1();
            turns = false;
            myMusicJump.play();
            myMusicJump.setVolume(25);
        }
        if(Greenfoot.isKeyDown("S") && isOnPlatformBot() == false)
        {
            jump2();
            turns = true;
            myMusicJumpdown.play();
            myMusicJumpdown.setVolume(25);
        }
        if(Greenfoot.isKeyDown("A") && isOnPlatformBot() == true)
        {
            x -= 3;
            turns = true;
            turn(-3);
        }
        if(Greenfoot.isKeyDown("A") && isOnPlatformTop() == true)
        {
            x -= 3;
            turns = false;
            turn(3);
        }
        if(Greenfoot.isKeyDown("D") && isOnPlatformBot() == true)
        {
            x += 3;
            turns = true;
            turn(3);
        }
        if(Greenfoot.isKeyDown("D") && isOnPlatformTop() == true)
        {
            x += 3;
            turns = false;
            turn(-3);
        }
        setLocation(x, y);
    }
    public void turning()
    {
        if(turns == true)
        {
            turn(9);
        }
        else
        {
            turn(-9);
        }
        
    }
    public void fall()
    {
        setLocation(getX(), getY() + velocity);
        if (isOnPlatformBot()) velocity = 0;
        else if(isOnPlatformTop()) velocity = 0;
    }
    public void jump1()
    {
        velocity = -10;
    }
    public void jump2()
    {
        velocity = 10;
    }
    public boolean isOnPlatformBot()
    {
        boolean isOnPlatformBot = false;
        if(getY() >= getWorld().getHeight() - 110) isOnPlatformBot = true;
        return isOnPlatformBot;
    }
    public boolean isOnPlatformTop()
    {
        boolean isOnPlatformTop = false;
        if(getY() <= getWorld().getHeight() - 610) isOnPlatformTop = true;
        return isOnPlatformTop;
    }
    public void hitByEnemies()
    {
        Actor enemies = getOneIntersectingObject(Enemies.class);
        if(enemies != null || getX()>=1320)
        {
            Greenfoot.setWorld(new GameOver());
        }
    }  
}
